> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkedcamp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook

> Returns data for a specific webhook.

## Headers

<ParamField header="token" type="string" required>
  Your LinkedCamp API token.
</ParamField>

## Path Parameters

<ParamField path="webhookId" type="string" required>
  The ID of the webhook.
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Whether the request was successful.
</ResponseField>

<ResponseField name="message" type="string">
  A human-readable result message.
</ResponseField>

<ResponseField name="data" type="object">
  The webhook details.

  <Expandable title="Webhook Properties">
    <ResponseField name="_id" type="string">
      Webhook ID.
    </ResponseField>

    <ResponseField name="callbackUrl" type="string">
      The callback URL.
    </ResponseField>

    <ResponseField name="title" type="string">
      Webhook name.
    </ResponseField>

    <ResponseField name="events" type="array">
      List of events this webhook listens to.
    </ResponseField>

    <ResponseField name="isValid" type="boolean">
      Whether the webhook is active and valid.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0 \
    -H "token: YOUR_API_TOKEN"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0",
      headers={"token": "YOUR_API_TOKEN"},
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0",
    {
      headers: { "token": "YOUR_API_TOKEN" },
    }
  );
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "message": "Webhook found successfully!",
    "data": {
      "_id": "60f7a1b2c3d4e5f6a7b8c9d0",
      "callbackUrl": "https://your-server.com/webhook/linkedcamp",
      "title": "New Connection Webhook",
      "events": ["ACCEPTS_REQUEST"],
      "isValid": true
    }
  }
  ```

  ```json 200 - Not found theme={null}
  {
    "success": false,
    "message": "Webhook not found!"
  }
  ```
</ResponseExample>
